Aller au contenu

database_api.find_vesting_delegations ​

since HF17

Purpose ​

Retourne la liste des délégations de vesting (vesting delegation) d'un compte. Paramètres : account:string

account (string)
"steemit"Interroge le vesting (vesting) pour steemit.
"alice"Interroge le vesting (vesting) pour alice.

Parameters ​

PARAMETERS
json
{
  "account": ""
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_vesting_delegations",
    "params": {
      "account": "steemit"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_vesting_delegations",
    "params": {
      "account": "alice"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "delegations": []
}